package com.chenyang.nse.bussiness.odbc.po;

public class Sm4Result {
   String text;
   String message;

   public String getText() {
      return this.text;
   }

   public String getMessage() {
      return this.message;
   }

   public void setText(final String text) {
      this.text = text;
   }

   public void setMessage(final String message) {
      this.message = message;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof Sm4Result)) {
         return false;
      } else {
         Sm4Result other = (Sm4Result)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$text = this.getText();
            Object other$text = other.getText();
            if (this$text == null) {
               if (other$text != null) {
                  return false;
               }
            } else if (!this$text.equals(other$text)) {
               return false;
            }

            Object this$message = this.getMessage();
            Object other$message = other.getMessage();
            if (this$message == null) {
               if (other$message != null) {
                  return false;
               }
            } else if (!this$message.equals(other$message)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof Sm4Result;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $text = this.getText();
      result = result * 59 + ($text == null ? 43 : $text.hashCode());
      Object $message = this.getMessage();
      result = result * 59 + ($message == null ? 43 : $message.hashCode());
      return result;
   }

   public String toString() {
      return "Sm4Result(text=" + this.getText() + ", message=" + this.getMessage() + ")";
   }
}
